import java.io.*;
import fiji.io.*;
import java.util.*;

/**
 * Main della seconda versione del programma, richiesta interattiva
 * @author Barbara Pettazzoni
 */
public class ContaJava2
{
	public static void main(String args[])
	{
		Contatore contaLinee = new Contatore();
		Contatore contaParole = new Contatore();
		Contatore contaCaratteri = new Contatore();
		Contatore contaAnello = new Contatore();
		try
		{
			Lettore tastiera = new Lettore();
			System.out.print("Inserisci il nome del file: ");
			String file = tastiera.leggiLinea();
			System.out.print("Inserisci la parola da cercare: ");
			String cerca = tastiera.leggiLinea();
			FileReader fr = new FileReader(file);
			Lettore input = new Lettore(fr);
			while(!input.eof())
			{
				contaLinee.incrementa();
				String linea = input.leggiLinea();
				for(int i=0; i < linea.length(); i++)
					contaCaratteri.incrementa();
				StringTokenizer tokenizer = new StringTokenizer(linea," ");
				while(tokenizer.hasMoreTokens())
				{
					String parola = tokenizer.nextToken();
					if(parola.equals(cerca))
						contaAnello.incrementa();
					contaParole.incrementa();
				}
			}
			FileWriter fw = new FileWriter("risultati.txt");
			BufferedWriter writer = new BufferedWriter(fw);
			writer.write("Il file trama.txt ha " + contaLinee.leggi() + " linee");
			writer.newLine();
			writer.write("Il file trama.txt ha " + contaParole.leggi() + " parole");
			writer.newLine();
			writer.write("Il file trama.txt ha " + contaCaratteri.leggi() + " caratteri");
			writer.newLine();
			writer.write("Il file trama.txt ha " + contaAnello.leggi() + " occorrenze della parola " + cerca);
			writer.flush();
			writer.close();
		}	
		catch(Exception e)
		{
			e.printStackTrace();
		}	
	}
}